GET
URI:
-
/api/v1/user?username=***&realm_id=***
- /api/v1/user/[id]
- /api/v1/user
Input fields:
| Field Name | Type | Required |
Description |
|---|---|---|---|
| id | string | No | The user ID. |
| realm_id | string | No | The realm ID. |
|
username |
string |
No |
|
|
|
string |
No |
The user's email address. |
|
mobile_number |
string |
No |
The user's mobile phone number. |
|
active |
boolean |
No |
Get active user. |
|
bypass_at |
datetime |
No |
The user's bypass date and time. |
|
lockout_at |
datetime |
No |
The user's lockout date and time. |
|
user_data |
integer |
No |
User type, which can be either of the following:
|
|
auth_method |
string |
No |
The authentication method, which can be one of the following:
|
|
notification_method |
string |
No |
Supported notification method, which can be either of the following:
|
|
brief
|
boolean
|
No |
The API response only includes the mobile_number, username, email, vdom, realm, id, user_data if brief=True. |
|
case_accent_sensitive |
boolean |
No |
Whether the username is case-sensitive. |
Successful response fields:
| Field name | Type | Description |
|---|---|---|
| customer_id | string | The customer ID. |
| client_id | string | The client ID. |
| user_id | string | The user ID. |
| notification_method | string |
Supported notification method, which can be either of the following:
|
| auth_method | string |
The authentication method, which can be one of the following:
|
| username | string | The user name. |
| id | string | The userref ID. |
| realm_id | string | The realm ID. |
|
mobile_number |
string |
The user's mobile phone number. |
|
|
string |
The user's email address. |
|
active |
boolean |
If user is active. |
|
created_at |
string |
The timestamp when user was created. |
|
updated_at |
string |
The timestamp when user was last updated. |
|
bypass_at |
string |
The timestamp when user was bypassed |
|
lockout_at |
string |
The timestamp when user was locked out |
|
fail_times |
integer |
The failed attempts of user login validation |
|
user_data |
integer |
User type, which can be either of the following:
|
|
temp_token |
boolean |
Whether temporary token is enabled for the user. |
Response codes:
| Code | Response content | Description |
|---|---|---|
| 200 OK | User(s) info is(are) successfully returned. | |
| 400 Bad Request | application was not found. | |
| 402 Payment Required | No valid FIC subscription was found. | Please enable free trial or register licenses. |
| 403 Forbidden | You are not authorized to access user. | |
| 404 Not Found |
|
Example request body:
None
Example of successful response body:
[
{
"auth_method":"FTM",
"client_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"created_at":"2020-02-02T02:22:22",
"customer_id":"123456",
"email":"abc@fortinet.com",
"user_data":0,
"id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"lockout_at":"None",
"mobile_number":"1123456789",
"notification_method":"Email",
"user_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"realm_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"username":"abc",
"updated_at":"None",
"active":true,
"temp_token":false,
"bypass_at":"None",
"fail_times":0
}
]